Index: t3lib/stddb/tables.php
===================================================================
--- t3lib/stddb/tables.php	(revision 9302)
+++ t3lib/stddb/tables.php	(revision )
@@ -1,29 +1,29 @@
 <?php
 /***************************************************************
-*  Copyright notice
-*
-*  (c) 1999-2010 Kasper Skårhøj (kasperYYYY@typo3.com)
-*  All rights reserved
-*
-*  This script is part of the TYPO3 project. The TYPO3 project is
-*  free software; you can redistribute it and/or modify
-*  it under the terms of the GNU General Public License as published by
-*  the Free Software Foundation; either version 2 of the License, or
-*  (at your option) any later version.
-*
-*  The GNU General Public License can be found at
-*  http://www.gnu.org/copyleft/gpl.html.
-*  A copy is found in the textfile GPL.txt and important notices to the license
-*  from the author is found in LICENSE.txt distributed with these scripts.
-*
-*
-*  This script is distributed in the hope that it will be useful,
-*  but WITHOUT ANY WARRANTY; without even the implied warranty of
-*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-*  GNU General Public License for more details.
-*
-*  This copyright notice MUST APPEAR in all copies of the script!
-***************************************************************/
+ *  Copyright notice
+ *
+ *  (c) 1999-2010 Kasper Skårhøj (kasperYYYY@typo3.com)
+ *  All rights reserved
+ *
+ *  This script is part of the TYPO3 project. The TYPO3 project is
+ *  free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ *  The GNU General Public License can be found at
+ *  http://www.gnu.org/copyleft/gpl.html.
+ *  A copy is found in the textfile GPL.txt and important notices to the license
+ *  from the author is found in LICENSE.txt distributed with these scripts.
+ *
+ *
+ *  This script is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  This copyright notice MUST APPEAR in all copies of the script!
+ ***************************************************************/
 /**
  * Contains the initialization of global TYPO3 variables among which $TCA is the most significant.
  *
@@ -58,26 +58,26 @@
  * NOTE: usage of 'icon' is deprecated since TYPO3 4.4, use t3lib_SpriteManager::addTcaTypeIcon() instead
  */
 $PAGES_TYPES = array(
-	(string)t3lib_pageSelect::DOKTYPE_LINK => array(
+	(string) t3lib_pageSelect::DOKTYPE_LINK => array(
 	),
-	(string)t3lib_pageSelect::DOKTYPE_SHORTCUT => array(
+	(string) t3lib_pageSelect::DOKTYPE_SHORTCUT => array(
 	),
-	(string)t3lib_pageSelect::DOKTYPE_HIDE_IN_MENU => array(
+	(string) t3lib_pageSelect::DOKTYPE_HIDE_IN_MENU => array(
 	),
-	(string)t3lib_pageSelect::DOKTYPE_BE_USER_SECTION  => array(
+	(string) t3lib_pageSelect::DOKTYPE_BE_USER_SECTION => array(
 		'type' => 'web',
 		'allowedTables' => '*'
 	),
-	(string)t3lib_pageSelect::DOKTYPE_MOUNTPOINT => array(
+	(string) t3lib_pageSelect::DOKTYPE_MOUNTPOINT => array(
 	),
-	(string)t3lib_pageSelect::DOKTYPE_SPACER => array(		// TypoScript: Limit is 200. When the doktype is 200 or above, the page WILL NOT be regarded as a 'page' by TypoScript. Rather is it a system-type page
+	(string) t3lib_pageSelect::DOKTYPE_SPACER => array( // TypoScript: Limit is 200. When the doktype is 200 or above, the page WILL NOT be regarded as a 'page' by TypoScript. Rather is it a system-type page
 		'type' => 'sys',
 	),
-	(string)t3lib_pageSelect::DOKTYPE_SYSFOLDER => array(		//  Doktype 254 is a 'sysFolder' - a general purpose storage folder for whatever you like. In CMS context it's NOT a viewable page. Can contain any element.
+	(string) t3lib_pageSelect::DOKTYPE_SYSFOLDER => array( //  Doktype 254 is a 'sysFolder' - a general purpose storage folder for whatever you like. In CMS context it's NOT a viewable page. Can contain any element.
 		'type' => 'sys',
 		'allowedTables' => '*'
 	),
-	(string)t3lib_pageSelect::DOKTYPE_RECYCLER => array(		// Doktype 255 is a recycle-bin.
+	(string) t3lib_pageSelect::DOKTYPE_RECYCLER => array( // Doktype 255 is a recycle-bin.
 		'type' => 'sys',
 		'allowedTables' => '*'
 	),
@@ -116,16 +116,6 @@
 );
 
 
-
-
-
-
-
-
-
-
-
-
 /**
  * $TCA:
  * This array configures TYPO3 to work with the tables from the database by assigning meta information about data types, relations etc.
@@ -228,7 +218,7 @@
 		'crdate' => 'crdate',
 		'cruser_id' => 'cruser_id',
 		'delete' => 'deleted',
-		'adminOnly' => 1,	// Only admin users can edit
+		'adminOnly' => 1, // Only admin users can edit
 		'rootLevel' => 1,
 		'default_sortby' => 'ORDER BY admin, username',
 		'enablecolumns' => array(
@@ -349,37 +339,29 @@
  */
 $TCA['sys_news'] = array(
 	'ctrl' => array(
-		'title'             => 'LLL:EXT:lang/locallang_tca.xml:sys_news',
+		'title' => 'LLL:EXT:lang/locallang_tca.xml:sys_news',
-		'label'             => 'title',
+		'label' => 'title',
-		'tstamp'            => 'tstamp',
+		'tstamp' => 'tstamp',
-		'crdate'            => 'crdate',
+		'crdate' => 'crdate',
-		'cruser_id'         => 'cruser_id',
+		'cruser_id' => 'cruser_id',
-		'adminOnly'         => TRUE,
+		'adminOnly' => TRUE,
-		'rootLevel'         => TRUE,
+		'rootLevel' => TRUE,
-		'delete'            => 'deleted',
+		'delete' => 'deleted',
-		'enablecolumns'     => array(
+		'enablecolumns' => array(
-			'disabled'  => 'hidden',
+			'disabled' => 'hidden',
 			'starttime' => 'starttime',
-			'endtime'   => 'endtime'
+			'endtime' => 'endtime'
 		),
-		'default_sortby'    => 'crdate DESC',
+		'default_sortby' => 'crdate DESC',
-		'typeicon_classes'  => array(
+		'typeicon_classes' => array(
 			'default' => 'mimetypes-x-sys_news',
 		),
 		'dynamicConfigFile' => 'T3LIB:tbl_be.php',
-		'dividers2tabs'     => TRUE
+		'dividers2tabs' => TRUE
 	)
 );
 
 
-
-
-
-
-
-
-
-
 /**
  * $TBE_MODULES contains the structure of the backend modules as they are arranged in main- and sub-modules.
  * Every entry in this array represents a menu item on either first (key) or second level (value from list) in the left menu in the TYPO3 backend
@@ -403,7 +385,7 @@
 		'0' => '#E4E0DB,#CBC7C3,#EDE9E5',
 	),
 	'borderschemes' => array(
-		'0' => array('border:solid 1px black;',5)
+		'0' => array('border:solid 1px black;', 5)
 	)
 );
 
@@ -412,17 +394,17 @@
  * Setting up $TCA_DESCR - Context Sensitive Help (CSH)
  * For information about using the CSH API in TYPO3 you should consult the documentation found in "Inside TYPO3"
  */
-t3lib_extMgm::addLLrefForTCAdescr('pages','EXT:lang/locallang_csh_pages.xml');
+t3lib_extMgm::addLLrefForTCAdescr('pages', 'EXT:lang/locallang_csh_pages.xml');
-t3lib_extMgm::addLLrefForTCAdescr('be_users','EXT:lang/locallang_csh_be_users.xml');
+t3lib_extMgm::addLLrefForTCAdescr('be_users', 'EXT:lang/locallang_csh_be_users.xml');
-t3lib_extMgm::addLLrefForTCAdescr('be_groups','EXT:lang/locallang_csh_be_groups.xml');
+t3lib_extMgm::addLLrefForTCAdescr('be_groups', 'EXT:lang/locallang_csh_be_groups.xml');
-t3lib_extMgm::addLLrefForTCAdescr('sys_filemounts','EXT:lang/locallang_csh_sysfilem.xml');
+t3lib_extMgm::addLLrefForTCAdescr('sys_filemounts', 'EXT:lang/locallang_csh_sysfilem.xml');
-t3lib_extMgm::addLLrefForTCAdescr('sys_language','EXT:lang/locallang_csh_syslang.xml');
+t3lib_extMgm::addLLrefForTCAdescr('sys_language', 'EXT:lang/locallang_csh_syslang.xml');
-t3lib_extMgm::addLLrefForTCAdescr('sys_news','EXT:lang/locallang_csh_sysnews.xml');
+t3lib_extMgm::addLLrefForTCAdescr('sys_news', 'EXT:lang/locallang_csh_sysnews.xml');
-t3lib_extMgm::addLLrefForTCAdescr('sys_workspace','EXT:lang/locallang_csh_sysws.xml');
+t3lib_extMgm::addLLrefForTCAdescr('sys_workspace', 'EXT:lang/locallang_csh_sysws.xml');
-t3lib_extMgm::addLLrefForTCAdescr('xMOD_csh_corebe','EXT:lang/locallang_csh_corebe.xml');	// General Core
+t3lib_extMgm::addLLrefForTCAdescr('xMOD_csh_corebe', 'EXT:lang/locallang_csh_corebe.xml'); // General Core
-t3lib_extMgm::addLLrefForTCAdescr('_MOD_tools_em','EXT:lang/locallang_csh_em.xml');		// Extension manager
+t3lib_extMgm::addLLrefForTCAdescr('_MOD_tools_em', 'EXT:lang/locallang_csh_em.xml'); // Extension manager
-t3lib_extMgm::addLLrefForTCAdescr('_MOD_web_info','EXT:lang/locallang_csh_web_info.xml');		// Web > Info
+t3lib_extMgm::addLLrefForTCAdescr('_MOD_web_info', 'EXT:lang/locallang_csh_web_info.xml'); // Web > Info
-t3lib_extMgm::addLLrefForTCAdescr('_MOD_web_func','EXT:lang/locallang_csh_web_func.xml');		// Web > Func
+t3lib_extMgm::addLLrefForTCAdescr('_MOD_web_func', 'EXT:lang/locallang_csh_web_func.xml'); // Web > Func
 
 
 /**
@@ -790,19 +772,24 @@
 );
 
 
-
-
-$GLOBALS['TBE_STYLES']['spriteIconApi']['spriteIconRecordOverlayPriorities'] = array('hidden', 'starttime', 'endtime', 'futureendtime', 'fe_group', 'protectedSection');
+$GLOBALS['TBE_STYLES']['spriteIconApi']['spriteIconRecordOverlayPriorities'] = array(
+	'hidden',
+	'starttime',
+	'endtime',
+	'futureendtime',
+	'fe_group',
+	'protectedSection'
+);
 $GLOBALS['TBE_STYLES']['spriteIconApi']['spriteIconRecordOverlayNames'] = array(
-	'hidden'           => 'status-overlay-hidden',
+	'hidden' => 'status-overlay-hidden',
-	'fe_group'         => 'status-overlay-access-restricted',
+	'fe_group' => 'status-overlay-access-restricted',
-	'starttime'        => 'status-overlay-scheduled',
+	'starttime' => 'status-overlay-scheduled',
-	'endtime'          => 'status-overlay-scheduled',
+	'endtime' => 'status-overlay-scheduled',
-	'futureendtime'    => 'status-overlay-scheduled-future-end',
+	'futureendtime' => 'status-overlay-scheduled-future-end',
-	'readonly'         => 'status-overlay-locked',
+	'readonly' => 'status-overlay-locked',
-	'deleted'          => 'status-overlay-deleted',
+	'deleted' => 'status-overlay-deleted',
-	'missing'          => 'status-overlay-missing',
+	'missing' => 'status-overlay-missing',
-	'translated'       => 'status-overlay-translated',
+	'translated' => 'status-overlay-translated',
 	'protectedSection' => 'status-overlay-includes-subpages',
 );
 
Index: t3lib/stddb/tbl_be.php
===================================================================
--- t3lib/stddb/tbl_be.php	(revision 9446)
+++ t3lib/stddb/tbl_be.php	(revision )
@@ -1,29 +1,29 @@
 <?php
 /***************************************************************
-*  Copyright notice
-*
-*  (c) 1999-2010 Kasper Skårhøj (kasperYYYY@typo3.com)
-*  All rights reserved
-*
-*  This script is part of the TYPO3 project. The TYPO3 project is
-*  free software; you can redistribute it and/or modify
-*  it under the terms of the GNU General Public License as published by
-*  the Free Software Foundation; either version 2 of the License, or
-*  (at your option) any later version.
-*
-*  The GNU General Public License can be found at
-*  http://www.gnu.org/copyleft/gpl.html.
-*  A copy is found in the textfile GPL.txt and important notices to the license
-*  from the author is found in LICENSE.txt distributed with these scripts.
-*
-*
-*  This script is distributed in the hope that it will be useful,
-*  but WITHOUT ANY WARRANTY; without even the implied warranty of
-*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-*  GNU General Public License for more details.
-*
-*  This copyright notice MUST APPEAR in all copies of the script!
-***************************************************************/
+ *  Copyright notice
+ *
+ *  (c) 1999-2010 Kasper Skårhøj (kasperYYYY@typo3.com)
+ *  All rights reserved
+ *
+ *  This script is part of the TYPO3 project. The TYPO3 project is
+ *  free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ *  The GNU General Public License can be found at
+ *  http://www.gnu.org/copyleft/gpl.html.
+ *  A copy is found in the textfile GPL.txt and important notices to the license
+ *  from the author is found in LICENSE.txt distributed with these scripts.
+ *
+ *
+ *  This script is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  This copyright notice MUST APPEAR in all copies of the script!
+ ***************************************************************/
 /**
  * Contains the dynamic configuation of the fields in the core tables of TYPO3: be_users, be_groups, sys_filemounts and sys_workspace
  *
@@ -35,10 +35,6 @@
  */
 
 
-
-
-
-
 /**
  * Backend users - Those who login into the TYPO3 administration backend
  */
@@ -74,7 +70,7 @@
 				'foreign_table_where' => 'ORDER BY be_groups.title',
 				'size' => '5',
 				'maxitems' => '20',
-#				'renderMode' => $GLOBALS['TYPO3_CONF_VARS']['BE']['accessListRenderMode'],
+				#				'renderMode' => $GLOBALS['TYPO3_CONF_VARS']['BE']['accessListRenderMode'],
 				'iconsInOptionTags' => 1,
 				'wizards' => array(
 					'_PADDING' => 1,
@@ -127,7 +123,7 @@
 			'config' => array(
 				'type' => 'group',
 				'internal_type' => 'db',
-					'allowed' => 'pages',
+				'allowed' => 'pages',
 				'size' => '3',
 				'maxitems' => '10',
 				'autoSizeMax' => 10,
@@ -281,7 +277,7 @@
 				'checkbox' => '0',
 				'default' => '0',
 				'range' => array(
-					'upper' => mktime(0,0,0,12,31,2020),
+					'upper' => mktime(0, 0, 0, 12, 31, 2020),
 				)
 			)
 		),
@@ -373,7 +369,7 @@
 				'wizards' => array(
 					'_PADDING' => 4,
 					'0' => array(
-						'type' => t3lib_extMgm::isLoaded('tsconfig_help')?'popup':'',
+						'type' => t3lib_extMgm::isLoaded('tsconfig_help') ? 'popup' : '',
 						'title' => 'LLL:EXT:lang/locallang_tca.xml:TSconfig_title',
 						'script' => 'wizard_tsconfig.php?mode=beuser',
 						'icon' => 'wizard_tsconfig.gif',
@@ -417,7 +413,6 @@
 );
 
 
-
 /**
  * Backend usergroups - Much permission criterias are based on membership of backend groups.
  */
@@ -441,7 +436,7 @@
 			'config' => array(
 				'type' => 'group',
 				'internal_type' => 'db',
-					'allowed' => 'pages',
+				'allowed' => 'pages',
 				'size' => '3',
 				'maxitems' => 20,
 				'autoSizeMax' => 10,
@@ -654,7 +649,7 @@
 				'wizards' => array(
 					'_PADDING' => 4,
 					'0' => array(
-						'type' => t3lib_extMgm::isLoaded('tsconfig_help')?'popup':'',
+						'type' => t3lib_extMgm::isLoaded('tsconfig_help') ? 'popup' : '',
 						'title' => 'LLL:EXT:lang/locallang_tca.xml:TSconfig_title',
 						'script' => 'wizard_tsconfig.php?mode=beuser',
 						'icon' => 'wizard_tsconfig.gif',
@@ -755,8 +750,6 @@
 );
 
 
-
-
 /**
  * System languages - Defines possible languages used for translation of records in the system
  */
@@ -819,8 +812,6 @@
 );
 
 
-
-
 /**
  * System News (displayed on Login screen)
  */
@@ -900,4 +891,4 @@
 	)
 );
 
-?>
+?>
\ No newline at end of file
Index: t3lib/stddb/tbl_pages.php
===================================================================
--- t3lib/stddb/tbl_pages.php	(revision 9513)
+++ t3lib/stddb/tbl_pages.php	(revision )
@@ -23,12 +23,12 @@
 					),
 					array(
 						'LLL:EXT:lang/locallang_tca.php:doktype.I.0',
-						(string)t3lib_pageSelect::DOKTYPE_DEFAULT,
+						(string) t3lib_pageSelect::DOKTYPE_DEFAULT,
 						'i/pages.gif',
 					),
 					array(
 						'LLL:EXT:cms/locallang_tca.xml:pages.doktype.I.4',
-						(string)t3lib_pageSelect::DOKTYPE_BE_USER_SECTION,
+						(string) t3lib_pageSelect::DOKTYPE_BE_USER_SECTION,
 						'i/be_users_section.gif',
 					),
 					array(
@@ -37,17 +37,17 @@
 					),
 					array(
 						'LLL:EXT:cms/locallang_tca.xml:pages.doktype.I.2',
-						(string)t3lib_pageSelect::DOKTYPE_SHORTCUT,
+						(string) t3lib_pageSelect::DOKTYPE_SHORTCUT,
 						'i/pages_shortcut.gif',
 					),
 					array(
 						'LLL:EXT:cms/locallang_tca.xml:pages.doktype.I.5',
-						(string)t3lib_pageSelect::DOKTYPE_MOUNTPOINT,
+						(string) t3lib_pageSelect::DOKTYPE_MOUNTPOINT,
 						'i/pages_mountpoint.gif',
 					),
 					array(
 						'LLL:EXT:cms/locallang_tca.xml:pages.doktype.I.8',
-						(string)t3lib_pageSelect::DOKTYPE_LINK,
+						(string) t3lib_pageSelect::DOKTYPE_LINK,
 						'i/pages_link.gif',
 					),
 					array(
@@ -56,21 +56,21 @@
 					),
 					array(
 						'LLL:EXT:lang/locallang_tca.php:doktype.I.1',
-						(string)t3lib_pageSelect::DOKTYPE_SYSFOLDER,
+						(string) t3lib_pageSelect::DOKTYPE_SYSFOLDER,
 						'i/sysf.gif',
 					),
 					array(
 						'LLL:EXT:lang/locallang_tca.php:doktype.I.2',
-						(string)t3lib_pageSelect::DOKTYPE_RECYCLER,
+						(string) t3lib_pageSelect::DOKTYPE_RECYCLER,
 						'i/recycler.gif',
 					),
 					array(
 						'LLL:EXT:cms/locallang_tca.xml:pages.doktype.I.7',
-						(string)t3lib_pageSelect::DOKTYPE_SPACER,
+						(string) t3lib_pageSelect::DOKTYPE_SPACER,
 						'i/spacer_icon.gif',
 					),
 				),
-				'default' => (string)t3lib_pageSelect::DOKTYPE_DEFAULT,
+				'default' => (string) t3lib_pageSelect::DOKTYPE_DEFAULT,
 				'iconsInOptionTags' => 1,
 				'noIconsBelowSelect' => 1,
 			),
@@ -95,7 +95,7 @@
 				'wizards' => array(
 					'_PADDING' => 4,
 					'0' => array(
-						'type' => t3lib_extMgm::isLoaded('tsconfig_help')?'popup':'',
+						'type' => t3lib_extMgm::isLoaded('tsconfig_help') ? 'popup' : '',
 						'title' => 'TSconfig QuickReference',
 						'script' => 'wizard_tsconfig.php?mode=page',
 						'icon' => 'wizard_tsconfig.gif',
@@ -131,7 +131,7 @@
 				),
 			),
 		),
-		'tx_impexp_origuid' => array('config'=>array('type'=>'passthrough')),
+		'tx_impexp_origuid' => array('config' => array('type' => 'passthrough')),
 		't3ver_label' => array(
 			'label' => 'LLL:EXT:lang/locallang_general.php:LGL.versionLabel',
 			'config' => array(
@@ -188,7 +188,7 @@
 				'checkbox' => '0',
 				'default' => '0',
 				'range' => array(
-					'upper' => mktime(0,0,0,12,31,2020),
+					'upper' => mktime(0, 0, 0, 12, 31, 2020),
 				),
 			),
 		),
@@ -610,7 +610,7 @@
 			'config' => array(
 				'type' => 'group',
 				'internal_type' => 'file',
-				'allowed' => $GLOBALS['TYPO3_CONF_VARS']['GFX']['imagefile_ext'].',html,htm,ttf,txt,css',
+				'allowed' => $GLOBALS['TYPO3_CONF_VARS']['GFX']['imagefile_ext'] . ',html,htm,ttf,txt,css',
 				'max_size' => $GLOBALS['TYPO3_CONF_VARS']['BE']['maxFileSize'],
 				'uploadfolder' => 'uploads/media',
 				'show_thumbs' => '1',
@@ -725,23 +725,23 @@
 					),
 					array(
 						$GLOBALS['TYPO3_CONF_VARS']['FE']['hidePagesIfNotTranslatedByDefault'] ?
-							'LLL:EXT:cms/locallang_tca.xml:pages.l18n_cfg.I.2a' :
-							'LLL:EXT:cms/locallang_tca.xml:pages.l18n_cfg.I.2',
+								'LLL:EXT:cms/locallang_tca.xml:pages.l18n_cfg.I.2a' :
+								'LLL:EXT:cms/locallang_tca.xml:pages.l18n_cfg.I.2',
 						'',
 					),
 				),
 			),
 		),
-		'be_layout' => array (
+		'be_layout' => array(
 			'exclude' => 1,
 			'label' => 'LLL:EXT:cms/locallang_tca.xml:pages.be_layout',
-			'config' => array (
+			'config' => array(
 				'type' => 'select',
 				'foreign_table' => 'be_layouts',
 				'foreign_table_where' => 'AND ( ( ###PAGE_TSCONFIG_ID### = 0 AND ###STORAGE_PID### = 0 ) OR ( be_layouts.pid = ###PAGE_TSCONFIG_ID### OR be_layouts.pid = ###STORAGE_PID### ) ) AND be_layouts.hidden = 0',
-				'items' => array (
+				'items' => array(
-					array ('', 0),
+					array('', 0),
-					array ('none', -1)
+					array('none', -1)
 				),
 				'selicon_cols' => 5,
 				'size' => 1,
@@ -749,16 +749,16 @@
 				'default' => ''
 			)
 		),
-		'be_layout_next_level' => array (
+		'be_layout_next_level' => array(
 			'exclude' => 1,
 			'label' => 'LLL:EXT:cms/locallang_tca.xml:pages.be_layout_next_level',
-			'config' => array (
+			'config' => array(
 				'type' => 'select',
 				'foreign_table' => 'be_layouts',
 				'foreign_table_where' => 'AND ( ( ###PAGE_TSCONFIG_ID### = 0 AND ###STORAGE_PID### = 0 ) OR ( be_layouts.pid = ###PAGE_TSCONFIG_ID### OR be_layouts.pid = ###STORAGE_PID### ) ) AND be_layouts.hidden = 0',
-				'items' => array (
+				'items' => array(
-					array ('', 0),
+					array('', 0),
-					array ('none', -1)
+					array('none', -1)
 				),
 				'selicon_cols' => 5,
 				'size' => 1,
@@ -768,10 +768,10 @@
 		)
 	),
 	'types' => array(
-			// normal
+		// normal
 		(string) t3lib_pageSelect::DOKTYPE_DEFAULT => array(
 			'showitem' =>
-					'--palette--;LLL:EXT:cms/locallang_tca.xml:pages.palettes.standard;standard,
+			'--palette--;LLL:EXT:cms/locallang_tca.xml:pages.palettes.standard;standard,
 					--palette--;LLL:EXT:cms/locallang_tca.xml:pages.palettes.title;title,
 				--div--;LLL:EXT:cms/locallang_tca.xml:pages.tabs.access,
 					--palette--;LLL:EXT:cms/locallang_tca.xml:pages.palettes.visibility;visibility,
@@ -795,10 +795,10 @@
 					--palette--;LLL:EXT:cms/locallang_tca.xml:pages.palettes.config;config,
 				--div--;LLL:EXT:cms/locallang_tca.xml:pages.tabs.extended,
 		'),
-			// external URL
+		// external URL
 		(string) t3lib_pageSelect::DOKTYPE_LINK => array(
 			'showitem' =>
-					'--palette--;LLL:EXT:cms/locallang_tca.xml:pages.palettes.external;external,
+			'--palette--;LLL:EXT:cms/locallang_tca.xml:pages.palettes.external;external,
 					--palette--;LLL:EXT:cms/locallang_tca.xml:pages.palettes.title;title,
 				--div--;LLL:EXT:cms/locallang_tca.xml:pages.tabs.access,
 					--palette--;LLL:EXT:cms/locallang_tca.xml:pages.palettes.visibility;visibility,
@@ -818,10 +818,10 @@
 					--palette--;LLL:EXT:cms/locallang_tca.xml:pages.palettes.config;config,
 				--div--;LLL:EXT:cms/locallang_tca.xml:pages.tabs.extended,
 		'),
-			// shortcut
+		// shortcut
 		(string) t3lib_pageSelect::DOKTYPE_SHORTCUT => array(
 			'showitem' =>
-					'--palette--;LLL:EXT:cms/locallang_tca.xml:pages.palettes.shortcut;shortcut,
+			'--palette--;LLL:EXT:cms/locallang_tca.xml:pages.palettes.shortcut;shortcut,
 					--palette--;LLL:EXT:cms/locallang_tca.xml:pages.palettes.shortcutpage;shortcutpage,
 					--palette--;LLL:EXT:cms/locallang_tca.xml:pages.palettes.title;title,
 				--div--;LLL:EXT:cms/locallang_tca.xml:pages.tabs.access,
@@ -842,10 +842,10 @@
 					--palette--;LLL:EXT:cms/locallang_tca.xml:pages.palettes.config;config,
 				--div--;LLL:EXT:cms/locallang_tca.xml:pages.tabs.extended,
 				'),
-			// not in menu
+		// not in menu
 		(string) t3lib_pageSelect::DOKTYPE_HIDE_IN_MENU => array(
 			'showitem' =>
-					'--palette--;LLL:EXT:cms/locallang_tca.xml:pages.palettes.standard;standard,
+			'--palette--;LLL:EXT:cms/locallang_tca.xml:pages.palettes.standard;standard,
 					--palette--;LLL:EXT:cms/locallang_tca.xml:pages.palettes.title;title,
 				--div--;LLL:EXT:cms/locallang_tca.xml:pages.tabs.access,
 					--palette--;LLL:EXT:cms/locallang_tca.xml:pages.palettes.visibility;hiddenonly,
@@ -869,10 +869,10 @@
 					--palette--;LLL:EXT:cms/locallang_tca.xml:pages.palettes.config;config,
 				--div--;LLL:EXT:cms/locallang_tca.xml:pages.tabs.extended,
 		'),
-			// mount page
+		// mount page
 		(string) t3lib_pageSelect::DOKTYPE_MOUNTPOINT => array(
 			'showitem' =>
-					'--palette--;LLL:EXT:cms/locallang_tca.xml:pages.palettes.mountpoint;mountpoint,
+			'--palette--;LLL:EXT:cms/locallang_tca.xml:pages.palettes.mountpoint;mountpoint,
 					--palette--;LLL:EXT:cms/locallang_tca.xml:pages.palettes.mountpage;mountpage,
 					--palette--;LLL:EXT:cms/locallang_tca.xml:pages.palettes.title;title,
 				--div--;LLL:EXT:cms/locallang_tca.xml:pages.tabs.access,
@@ -892,10 +892,10 @@
 					--palette--;LLL:EXT:cms/locallang_tca.xml:pages.palettes.config;config,
 				--div--;LLL:EXT:cms/locallang_tca.xml:pages.tabs.extended,
 		'),
-			// spacer
+		// spacer
 		(string) t3lib_pageSelect::DOKTYPE_SPACER => array(
 			'showitem' =>
-					'--palette--;LLL:EXT:cms/locallang_tca.xml:pages.palettes.standard;standard,
+			'--palette--;LLL:EXT:cms/locallang_tca.xml:pages.palettes.standard;standard,
 					--palette--;LLL:EXT:cms/locallang_tca.xml:pages.palettes.title;titleonly,
 				--div--;LLL:EXT:cms/locallang_tca.xml:pages.tabs.access,
 					--palette--;LLL:EXT:cms/locallang_tca.xml:pages.palettes.visibility;visibility,
@@ -904,10 +904,10 @@
 					--palette--;LLL:EXT:cms/locallang_tca.xml:pages.palettes.miscellaneous;adminsonly,
 				--div--;LLL:EXT:cms/locallang_tca.xml:pages.tabs.extended,
 			'),
-			// sysfolder
+		// sysfolder
 		(string) t3lib_pageSelect::DOKTYPE_SYSFOLDER => array(
 			'showitem' =>
-					'--palette--;LLL:EXT:cms/locallang_tca.xml:pages.palettes.standard;standard,
+			'--palette--;LLL:EXT:cms/locallang_tca.xml:pages.palettes.standard;standard,
 					--palette--;LLL:EXT:cms/locallang_tca.xml:pages.palettes.title;titleonly,
 				--div--;LLL:EXT:cms/locallang_tca.xml:pages.tabs.access,
 					--palette--;LLL:EXT:cms/locallang_tca.xml:pages.palettes.visibility;hiddenonly,
@@ -918,10 +918,10 @@
 					--palette--;LLL:EXT:cms/locallang_tca.xml:pages.palettes.config;config,
 				--div--;LLL:EXT:cms/locallang_tca.xml:pages.tabs.extended,
 		'),
-			// trash
+		// trash
 		(string) t3lib_pageSelect::DOKTYPE_RECYCLER => array(
 			'showitem' =>
-					'--palette--;LLL:EXT:cms/locallang_tca.xml:pages.palettes.standard;standard,
+			'--palette--;LLL:EXT:cms/locallang_tca.xml:pages.palettes.standard;standard,
 					--palette--;LLL:EXT:cms/locallang_tca.xml:pages.palettes.title;titleonly,
 				--div--;LLL:EXT:cms/locallang_tca.xml:pages.tabs.access,
 					--palette--;LLL:EXT:cms/locallang_tca.xml:pages.palettes.visibility;hiddenonly,
@@ -1056,8 +1056,8 @@
 );
 
 
-// if the compat version is less than 4.2, pagetype 2 ("Advanced")
-// and pagetype 5 ("Not in menu") are added to TCA.
+	// if the compat version is less than 4.2, pagetype 2 ("Advanced")
+	// and pagetype 5 ("Not in menu") are added to TCA.
 if (!t3lib_div::compat_version('4.2')) {
 		// Merging in CMS doktypes
 	array_splice(
@@ -1065,23 +1065,23 @@
 		2,
 		0,
 		array(
-			array(
-				'LLL:EXT:cms/locallang_tca.xml:pages.doktype.I.0',
-				'2',
-				'i/pages.gif',
-			),
-			array(
-				'LLL:EXT:cms/locallang_tca.xml:pages.doktype.I.3',
-				'5',
-				'i/pages_notinmenu.gif',
-			),
+			 array(
+				 'LLL:EXT:cms/locallang_tca.xml:pages.doktype.I.0',
+				 '2',
+				 'i/pages.gif',
+			 ),
+			 array(
+				 'LLL:EXT:cms/locallang_tca.xml:pages.doktype.I.3',
+				 '5',
+				 'i/pages_notinmenu.gif',
+			 ),
 		)
 	);
 		// setting the doktype 1 ("Standard") to show less fields
 	$TCA['pages']['types'][1] = array(
-			// standard
+		// standard
 		'showitem' =>
-				'doktype;;2;;1-1-1, hidden, nav_hide, title;;3;;2-2-2, subtitle,
+		'doktype;;2;;1-1-1, hidden, nav_hide, title;;3;;2-2-2, subtitle,
 			--div--;LLL:EXT:cms/locallang_tca.xml:pages.tabs.access,
 				starttime, endtime, fe_group, extendToSubpages,
 			--div--;LLL:EXT:cms/locallang_tca.xml:pages.tabs.options,
@@ -1091,7 +1091,7 @@
 		// adding doktype 2 ("Advanced")
 	$TCA['pages']['types'][2] = array(
 		'showitem' =>
-				'doktype;;2;;1-1-1, hidden, nav_hide, title;;3;;2-2-2, subtitle, nav_title,
+		'doktype;;2;;1-1-1, hidden, nav_hide, title;;3;;2-2-2, subtitle, nav_title,
 			--div--;LLL:EXT:cms/locallang_tca.xml:pages.tabs.metadata,
 				abstract;;5;;3-3-3, keywords, description,
 			--div--;LLL:EXT:cms/locallang_tca.xml:pages.tabs.files,
@@ -1104,4 +1104,4 @@
 	');
 }
 
-?>
+?>
\ No newline at end of file
Index: t3lib/stddb/load_ext_tables.php
===================================================================
--- t3lib/stddb/load_ext_tables.php	(revision 8742)
+++ t3lib/stddb/load_ext_tables.php	(revision )
@@ -1,5 +1,7 @@
 <?php
-if (!defined ('TYPO3_MODE')) 	die ('Access denied.');
+if (!defined('TYPO3_MODE')) {
+	die ('Access denied.');
+}
 
 /**
  * Loading the ext_tables.php files of the installed extensions when caching to "temp_CACHED_" files is NOT enabled.
@@ -12,7 +14,7 @@
  */
 $temp_TYPO3_LOADED_EXT = $GLOBALS['TYPO3_LOADED_EXT'];
 foreach ($temp_TYPO3_LOADED_EXT as $_EXTKEY => $temp_lEDat) {
-	if (is_array($temp_lEDat) && $temp_lEDat['ext_tables.php'])	{
+	if (is_array($temp_lEDat) && $temp_lEDat['ext_tables.php']) {
 		$_EXTCONF = $TYPO3_CONF_VARS['EXT']['extConf'][$_EXTKEY];
 		require($temp_lEDat['ext_tables.php']);
 	}